Name:          jstackalloc
Version:       20080716
Release:       %mkrel 3
Summary:       Java bytecode manipulation Library
Group:         Development/Java
License:       ZLIB license
Url:           http://www.java-gaming.org/index.php/topic,18843.0.html
Source0:       http://jezek2.advel.cz/tmp/jstackalloc/jstackalloc-20080716.zip
Source1:       jstackalloc-20080716.pom

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: objectweb-asm

Requires:      ant
Requires:      objectweb-asm

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The physics engine JBullet for example uses JStackAlloc to prevent repetitive and
cumbersome code by using automatic bytecode instrumentation in the build process.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
JStackAlloc - Java bytecode manipulation Library.

This package contains documentation for %{name}.

%prep
%setup -q -n jstackalloc-%{version}

for j in $(find . -name "*.jar"); do
  rm -rf $j
done

rm -rf dist/*

%build

ant \
  -Dlibs.ASM3.1.classpath=$(build-classpath objectweb-asm/asm-all) \
  -Dlibs.Ant.classpath=$(build-classpath ant) \
  jar javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 dist/stack-alloc.jar %{buildroot}%{_javadir}/%{name}.jar
ln -sf %{name}.jar %{buildroot}%{_javadir}/stack-alloc.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jstackalloc.jar
%{_javadir}/stack-alloc.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc changelog.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 20080716-3.mga4
+ Revision: 506491
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 20080716-2.mga3
+ Revision: 355647
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 07 2011 gil <gil> 20080716-1.mga2
+ Revision: 164799
- imported package jstackalloc

